Subject: Re: Route flagged RTCF_REDIRECTED without ICMP redirs?

From: Sven Ulland <[email-masked]>
Date: Fri, 14 Oct 2011 09:15:48 +0200

On 10/13/2011 08:50 PM, [email-masked] wrote:
> How can a route end up with being flagged with RTCF_REDIRECTED, and
> point to the default gateway, even though it's explicitly set to
> route to another node in the same subnet, in the rpdb and routing
> tables? There is zero trace of icmp redirects, and all redirect
> sysctls have been disabled, and the route cache flushed before every
> test.

This turned out to be due to [1], where the inet peer cache kept
a redirect learned via icmp before accept_redirect and friends were
disabled, so it was propagated to the route cache. Resolved by
a reboot to clean the inet peer cache.

[1]: Commit f39925d:
<URL:https://github.com/torvalds/linux/commit/f39925dbde7788cfb96419c0f092b086aa325c0f>

best regards,
Sven Ulland